> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Catalog Item Sources



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/catalog-items/{itemId}/sources
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-items/{itemId}/sources:
    get:
      tags:
        - Catalog Item Sources
      summary: List Catalog Item Sources
      operationId: CatalogItemSourcesController_findAll_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: itemId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CatalogItemSourceResponseDto'
components:
  schemas:
    CatalogItemSourceResponseDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        familySourceId:
          type: string
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
        affectedParentFamilyIds:
          type: array
          items:
            type: string
        affectedProjectIds:
          type: array
          items:
            type: string
      required:
        - id
        - itemId
        - familySourceId
        - columnsAttributes
        - version
        - createdAt
        - updatedAt
        - affectedParentFamilyIds
        - affectedProjectIds

````